/**
 * <copyright>
 * </copyright>
 *
 * $Id: ElementNodeValidator.java,v 1.1 2008-04-01 09:35:41 vmahe Exp $
 */
package orgomg.cwm.foundation.expressions.validation;

import orgomg.cwm.objectmodel.core.ModelElement;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.expressions.ElementNode}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface ElementNodeValidator {
	boolean validate();

	boolean validateModelElement(ModelElement value);
}
